Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.phase.step
Class AbstractStepScope

    java.lang.Object
      org.drools.planner.core.phase.step.AbstractStepScope

Direct Known Subclasses:
  BruteForceStepScope, CustomStepScope, GreedyFitStepScope, LocalSearchStepScope

    public abstract class AbstractStepScope

extends Object

Field Summary
`protected Boolean` | `bestScoreImproved`
`protected Solution` | `clonedSolution`
`protected Score` | `score`
`protected boolean` | `solutionInitialized`
`protected int` | `stepIndex`

Constructor Summary
`AbstractStepScope()`

Method Summary
`Solution` | `createOrGetClonedSolution()`
`Boolean` | `getBestScoreImproved()`
`Solution` | `getClonedSolution()`
`Score` | `getScore()`
`ScoreDirector` | `getScoreDirector()`
`abstract AbstractSolverPhaseScope` | `getSolverPhaseScope()`
`int` | `getStepIndex()`
`Random` | `getWorkingRandom()`
`Solution` | `getWorkingSolution()`
`boolean` | `isSolutionInitialized()`
`void` | `setBestScoreImproved(Boolean bestScoreImproved)`
`void` | `setClonedSolution(Solution clonedSolution)`
`void` | `setScore(Score score)`
`void` | `setSolutionInitialized(boolean solutionInitialized)`
`void` | `setStepIndex(int stepIndex)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### stepIndex

    protected int stepIndex

### solutionInitialized

    protected boolean solutionInitialized

### score

    protected Score score

### bestScoreImproved

    protected Boolean bestScoreImproved

### clonedSolution

    protected Solution clonedSolution

Constructor Detail

### AbstractStepScope

    public AbstractStepScope()

Method Detail

### getSolverPhaseScope

    public abstract AbstractSolverPhaseScope getSolverPhaseScope()

### getStepIndex

    public int getStepIndex()

### setStepIndex

    public void setStepIndex(int stepIndex)

### isSolutionInitialized

    public boolean isSolutionInitialized()

### setSolutionInitialized

    public void setSolutionInitialized(boolean solutionInitialized)

### getScore

    public Score getScore()

### setScore

    public void setScore(Score score)

### getBestScoreImproved

    public Boolean getBestScoreImproved()

### setBestScoreImproved

    public void setBestScoreImproved(Boolean bestScoreImproved)

### getClonedSolution

    public Solution getClonedSolution()

### setClonedSolution

    public void setClonedSolution(Solution clonedSolution)

### getScoreDirector

    public ScoreDirector getScoreDirector()

### getWorkingSolution

    public Solution getWorkingSolution()

### getWorkingRandom

    public Random getWorkingRandom()

### createOrGetClonedSolution

    public Solution createOrGetClonedSolution()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.